<html>
<head>
<title>OGRE: Ogre::PassthroughControllerFunction Class Reference - OGRE Documentation</title> <meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1"> 
<link type="text/css" rel="stylesheet" href="doxygen.css">
<link type="text/css" rel="stylesheet" href="tabs.css">
</head>

<body>
<!-- Generated by Doxygen 1.5.3 -->
<div class="tabs">
  <ul>
    <li><a href="index.html"><span>Main&nbsp;Page</span></a></li>
    <li><a href="namespaces.html"><span>Namespaces</span></a></li>
    <li class="current"><a href="classes.html"><span>Classes</span></a></li>
    <li><a href="files.html"><span>Files</span></a></li>
    <li><a href="dirs.html"><span>Directories</span></a></li>
    <li><a href="pages.html"><span>Related&nbsp;Pages</span></a></li>
  </ul>
</div>
<div class="tabs">
  <ul>
    <li><a href="classes.html"><span>Alphabetical&nbsp;List</span></a></li>
    <li><a href="annotated.html"><span>Class&nbsp;List</span></a></li>
    <li><a href="hierarchy.html"><span>Class&nbsp;Hierarchy</span></a></li>
    <li><a href="functions.html"><span>Class&nbsp;Members</span></a></li>
  </ul>
</div>
<div class="nav">
<a class="el" href="namespaceOgre.html">Ogre</a>::<a class="el" href="classOgre_1_1PassthroughControllerFunction.html">PassthroughControllerFunction</a></div>
<h1>Ogre::PassthroughControllerFunction Class Reference</h1><!-- doxytag: class="Ogre::PassthroughControllerFunction" --><!-- doxytag: inherits="Ogre::ControllerFunction" -->Predefined controller function which just passes through the original source directly to dest.  
<a href="#_details">More...</a>
<p>
<code>#include &lt;<a class="el" href="OgrePredefinedControllers_8h-source.html">OgrePredefinedControllers.h</a>&gt;</code>
<p>
<div class="dynheader">
Inheritance diagram for Ogre::PassthroughControllerFunction:</div>
<div class="dynsection">
<center><font size="2">[<a href="graph_legend.html">legend</a>]</font></center></div>

<p>
<a href="classOgre_1_1PassthroughControllerFunction-members.html">List of all members.</a><table border="0" cellpadding="0" cellspacing="0">
<tr><td></td></tr>
<tr><td colspan="2"><br><h2>Public Member Functions</h2></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1PassthroughControllerFunction.html#7596d4806e925e3c6e519f613d94031b">PassthroughControllerFunction</a> (bool deltaInput=false)</td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Constructor.  <a href="#7596d4806e925e3c6e519f613d94031b"></a><br></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="el" href="namespaceOgre.html#a3a7b6dfb905e6572d62f0dfa3d4274d">Real</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1PassthroughControllerFunction.html#25693ebdf658f1d1a393a3964a32e949">calculate</a> (<a class="el" href="namespaceOgre.html#a3a7b6dfb905e6572d62f0dfa3d4274d">Real</a> source)</td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Overriden function.  <a href="#25693ebdf658f1d1a393a3964a32e949"></a><br></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">virtual T&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1ControllerFunction.html#0f77d037a78ce3b430c0a18fbe711df0">calculate</a> (T sourceValue)=0</td></tr>

<tr><td colspan="2"><br><h2>Protected Member Functions</h2></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">T&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1ControllerFunction.html#6c6a617c6db75b58e3e1a8a2e9dbed8e">getAdjustedInput</a> (T input)</td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Gets the input value as adjusted by any delta.  <a href="#6c6a617c6db75b58e3e1a8a2e9dbed8e"></a><br></td></tr>
<tr><td colspan="2"><br><h2>Protected Attributes</h2></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">bool&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1ControllerFunction.html#5141c8004f8393f985a6c06fafdb50c5">mDeltaInput</a></td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">If true, function will add imput values together and wrap at 1.0 before evaluating.  <a href="#5141c8004f8393f985a6c06fafdb50c5"></a><br></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">T&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1ControllerFunction.html#ddf729e6eb31d54c20e9bb48b116252e">mDeltaCount</a></td></tr>

</table>
<hr><a name="_details"></a><h2>Detailed Description</h2>
Predefined controller function which just passes through the original source directly to dest. 
<p>Definition at line <a class="el" href="OgrePredefinedControllers_8h-source.html#l00168">168</a> of file <a class="el" href="OgrePredefinedControllers_8h-source.html">OgrePredefinedControllers.h</a>.</p>
<hr><h2>Constructor &amp; Destructor Documentation</h2>
<a class="anchor" name="7596d4806e925e3c6e519f613d94031b"></a><!-- doxytag: member="Ogre::PassthroughControllerFunction::PassthroughControllerFunction" ref="7596d4806e925e3c6e519f613d94031b" args="(bool deltaInput=false)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">Ogre::PassthroughControllerFunction::PassthroughControllerFunction           </td>
          <td>(</td>
          <td class="paramtype">bool&nbsp;</td>
          <td class="paramname"> <em>deltaInput</em> = <code>false</code>          </td>
          <td>&nbsp;)&nbsp;</td>
          <td width="100%"></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>
Constructor. 
<p>
<dl compact><dt><b>Parameters:</b></dt><dd>
  <table border="0" cellspacing="2" cellpadding="0">
    <tr><td valign="top"></td><td valign="top"><em>sequenceTime</em>&nbsp;</td><td>The amount of time in seconds it takes to loop through the whole animation sequence. </td></tr>
    <tr><td valign="top"></td><td valign="top"><em>timeOffset</em>&nbsp;</td><td>The offset in seconds at which to start (default is start at 0) </td></tr>
  </table>
</dl>

</div>
</div><p>
<hr><h2>Member Function Documentation</h2>
<a class="anchor" name="25693ebdf658f1d1a393a3964a32e949"></a><!-- doxytag: member="Ogre::PassthroughControllerFunction::calculate" ref="25693ebdf658f1d1a393a3964a32e949" args="(Real source)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="namespaceOgre.html#a3a7b6dfb905e6572d62f0dfa3d4274d">Real</a> Ogre::PassthroughControllerFunction::calculate           </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="namespaceOgre.html#a3a7b6dfb905e6572d62f0dfa3d4274d">Real</a>&nbsp;</td>
          <td class="paramname"> <em>source</em>          </td>
          <td>&nbsp;)&nbsp;</td>
          <td width="100%"></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>
Overriden function. 
<p>

</div>
</div><p>
<a class="anchor" name="6c6a617c6db75b58e3e1a8a2e9dbed8e"></a><!-- doxytag: member="Ogre::PassthroughControllerFunction::getAdjustedInput" ref="6c6a617c6db75b58e3e1a8a2e9dbed8e" args="(T input)" -->
<div class="memitem">
<div class="memproto">
<div class="memtemplate">
template&lt;typename T&gt; </div>
      <table class="memname">
        <tr>
          <td class="memname">T <a class="el" href="classOgre_1_1ControllerFunction.html">Ogre::ControllerFunction</a>&lt; T &gt;::getAdjustedInput           </td>
          <td>(</td>
          <td class="paramtype">T&nbsp;</td>
          <td class="paramname"> <em>input</em>          </td>
          <td>&nbsp;)&nbsp;</td>
          <td width="100%"><code> [protected, inherited]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>
Gets the input value as adjusted by any delta. 
<p>

<p>Definition at line <a class="el" href="OgreController_8h-source.html#l00060">60</a> of file <a class="el" href="OgreController_8h-source.html">OgreController.h</a>.</p>

</div>
</div><p>
<a class="anchor" name="0f77d037a78ce3b430c0a18fbe711df0"></a><!-- doxytag: member="Ogre::PassthroughControllerFunction::calculate" ref="0f77d037a78ce3b430c0a18fbe711df0" args="(T sourceValue)=0" -->
<div class="memitem">
<div class="memproto">
<div class="memtemplate">
template&lt;typename T&gt; </div>
      <table class="memname">
        <tr>
          <td class="memname">virtual T <a class="el" href="classOgre_1_1ControllerFunction.html">Ogre::ControllerFunction</a>&lt; T &gt;::calculate           </td>
          <td>(</td>
          <td class="paramtype">T&nbsp;</td>
          <td class="paramname"> <em>sourceValue</em>          </td>
          <td>&nbsp;)&nbsp;</td>
          <td width="100%"><code> [pure virtual, inherited]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>

</div>
</div><p>
<hr><h2>Member Data Documentation</h2>
<a class="anchor" name="5141c8004f8393f985a6c06fafdb50c5"></a><!-- doxytag: member="Ogre::PassthroughControllerFunction::mDeltaInput" ref="5141c8004f8393f985a6c06fafdb50c5" args="" -->
<div class="memitem">
<div class="memproto">
<div class="memtemplate">
template&lt;typename T&gt; </div>
      <table class="memname">
        <tr>
          <td class="memname">bool <a class="el" href="classOgre_1_1ControllerFunction.html">Ogre::ControllerFunction</a>&lt; T &gt;::<a class="el" href="classOgre_1_1ControllerFunction.html#5141c8004f8393f985a6c06fafdb50c5">mDeltaInput</a><code> [protected, inherited]</code>          </td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>
If true, function will add imput values together and wrap at 1.0 before evaluating. 
<p>

<p>Definition at line <a class="el" href="OgreController_8h-source.html#l00055">55</a> of file <a class="el" href="OgreController_8h-source.html">OgreController.h</a>.</p>

<p>Referenced by <a class="el" href="OgreController_8h-source.html#l00085">Ogre::ControllerFunction&lt; float &gt;::ControllerFunction()</a>, and <a class="el" href="OgreController_8h-source.html#l00060">Ogre::ControllerFunction&lt; float &gt;::getAdjustedInput()</a>.</p>

</div>
</div><p>
<a class="anchor" name="ddf729e6eb31d54c20e9bb48b116252e"></a><!-- doxytag: member="Ogre::PassthroughControllerFunction::mDeltaCount" ref="ddf729e6eb31d54c20e9bb48b116252e" args="" -->
<div class="memitem">
<div class="memproto">
<div class="memtemplate">
template&lt;typename T&gt; </div>
      <table class="memname">
        <tr>
          <td class="memname">T <a class="el" href="classOgre_1_1ControllerFunction.html">Ogre::ControllerFunction</a>&lt; T &gt;::<a class="el" href="classOgre_1_1ControllerFunction.html#ddf729e6eb31d54c20e9bb48b116252e">mDeltaCount</a><code> [protected, inherited]</code>          </td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>

<p>Definition at line <a class="el" href="OgreController_8h-source.html#l00056">56</a> of file <a class="el" href="OgreController_8h-source.html">OgreController.h</a>.</p>

<p>Referenced by <a class="el" href="OgreController_8h-source.html#l00085">Ogre::ControllerFunction&lt; float &gt;::ControllerFunction()</a>, and <a class="el" href="OgreController_8h-source.html#l00060">Ogre::ControllerFunction&lt; float &gt;::getAdjustedInput()</a>.</p>

</div>
</div><p>
<hr>The documentation for this class was generated from the following file:<ul>
<li><a class="el" href="OgrePredefinedControllers_8h-source.html">OgrePredefinedControllers.h</a></ul>
<hr>
<p>
Copyright &copy; 2000-2005 by The OGRE Team<br />
<!--Creative Commons License--><a rel="license" href="http://creativecommons.org/licenses/by-sa/2.5/"><img alt="Creative Commons License" border="0" src="http://creativecommons.org/images/public/somerights20.png"/></a><br/>
This work is licensed under a <a rel="license" href="http://creativecommons.org/licenses/by-sa/2.5/">Creative Commons Attribution-ShareAlike 2.5 License</a>.<br/>
		<!--/Creative Commons License--><!-- <rdf:RDF xmlns="http://web.resource.org/cc/" xmlns:dc="http://purl.org/dc/elements/1.1/" xmlns:rdf="http://www.w3.org/1999/02/22-rdf-syntax-ns#">
		<Work rdf:about="">
			<license rdf:resource="http://creativecommons.org/licenses/by-sa/2.5/" />
	<dc:type rdf:resource="http://purl.org/dc/dcmitype/Text" />
		</Work>
		<License rdf:about="http://creativecommons.org/licenses/by-sa/2.5/"><permits rdf:resource="http://web.resource.org/cc/Reproduction"/><permits rdf:resource="http://web.resource.org/cc/Distribution"/><requires rdf:resource="http://web.resource.org/cc/Notice"/><requires rdf:resource="http://web.resource.org/cc/Attribution"/><permits rdf:resource="http://web.resource.org/cc/DerivativeWorks"/><requires rdf:resource="http://web.resource.org/cc/ShareAlike"/></License></rdf:RDF> -->

Last modified Mon Jun 16 12:51:51 2008
</p>
</body>
</html>
